org.keycloak.representations.idm

## Class AbstractAuthenticationExecutionRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.AbstractAuthenticationExecutionRepresentation

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AuthenticationExecutionExportRepresentation, AuthenticationExecutionRepresentation

      public class AbstractAuthenticationExecutionRepresentation
      extends Object
      implements Serializable

  Author:
    Marko Strukelj
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAuthenticationExecutionRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthenticator()`
    `String` | `getAuthenticatorConfig()`
    `int` | `getPriority()`
    `String` | `getRequirement()`
    `boolean` | `isAuthenticatorFlow()` Is the referenced authenticator a flow?
    `boolean` | `isAutheticatorFlow()` Deprecated.
    `void` | `setAuthenticator(String authenticator)`
    `void` | `setAuthenticatorConfig(String authenticatorConfig)`
    `void` | `setAuthenticatorFlow(boolean authenticatorFlow)`
    `void` | `setAutheticatorFlow(boolean autheticatorFlow)` Deprecated.
    `void` | `setPriority(int priority)`
    `void` | `setRequirement(String requirement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAuthenticationExecutionRepresentation

          public AbstractAuthenticationExecutionRepresentation()

  - ### Method Detail

    - #### getAuthenticatorConfig

          public String getAuthenticatorConfig()

    - #### setAuthenticatorConfig

          public void setAuthenticatorConfig(String authenticatorConfig)

    - #### getAuthenticator

          public String getAuthenticator()

    - #### setAuthenticator

          public void setAuthenticator(String authenticator)

    - #### getRequirement

          public String getRequirement()

    - #### setRequirement

          public void setRequirement(String requirement)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### isAutheticatorFlow

          @Deprecated
          public boolean isAutheticatorFlow()

      Deprecated.
      Is the referenced authenticator a flow?
      Returns:

    - #### setAutheticatorFlow

          @Deprecated
          public void setAutheticatorFlow(boolean autheticatorFlow)

      Deprecated.

    - #### isAuthenticatorFlow

          public boolean isAuthenticatorFlow()

      Is the referenced authenticator a flow?
      Returns:

    - #### setAuthenticatorFlow

          public void setAuthenticatorFlow(boolean authenticatorFlow)

Copyright © 2021 JBoss by Red Hat. All rights reserved.